//========================================AUTH
export const REQUEST_REGISTRATE_USER = "REQUEST_REGISTRATE_USER"
export const REQUEST_REGISTRATE_USER_SUCCESS = "REQUEST_REGISTRATE_USER_SUCCESS"
export const REQUEST_REGISTRATE_USER_FAILED = "REQUEST_REGISTRATE_USER_FAILED"
export const FETCH_REGISTRATE_USER = "FETCH_REGISTRATE_USER";

export const REQUEST_LOGIN_USER = "REQUEST_LOGIN_USER";
export const REQUEST_LOGIN_USER_SUCCESS = "REQUEST_LOGIN_USER_SUCCESS";
export const REQUEST_LOGIN_USER_FAILED = "REQUEST_LOGIN_USER_FAILED";
export const FETCH_LOGIN_USER = "FETCH_LOGIN_USER";

export const REQUEST_CHANGE_AVATAR = "REQUEST_CHANGE_AVATAR";
export const REQUEST_CHANGE_AVATAR_SUCCESS = "REQUEST_CHANGE_AVATAR_SUCCESS";
export const REQUEST_CHANGE_AVATAR_FAILED = "REQUEST_CHANGE_AVATAR_FAILED";
export const FETCH_CHANGE_AVATAR = "FETCH_CHANGE_AVATAR";
//====================================USERS/FRIENDS
export const REQUEST_FIND_USER = "REQUEST_FIND_USER";
export const REQUEST_FIND_USER_SUCCESS = "REQUEST_FIND_USER_SUCCESS";
export const REQUEST_FIND_USER_FAILED = "REQUEST_FIND_USER_FAILED";
export const FETCH_FIND_USER = "FETCH_FIND_USER";

export const GET_ALL_USERS_REQUEST = "GET_ALL_USERS_REQUEST"
export const GET_ALL_USERS_REQUEST_SUCCESS = "GET_ALL_USERS_REQUEST_SUCCESS"
export const GET_ALL_USERS_REQUEST_FAILED = "GET_ALL_USERS_REQUEST_FAILED"
export const FETCH_GET_ALL_USERS = "FETCH_GET_ALL_USERS"

export const ADD_FRIEND_REQUEST_SUCCESS = "ADD_FRIEND_REQUEST_SUCCESS"
export const FETCH_ADD_FRIEND = "FETCH_ADD_FRIEND";
export const CANCEL_REQUEST_SUCCESS = "CANCEL_REQUEST_SUCCESS";
export const FETCH_CANCEL_REQUEST = "FETCH_CANCEL_REQUEST";

export const APPLY_INVITATION_SUCCESS = "APPLY_INVITATION_SUCCESS"
export const FETCH_APPLY_INVITATION = "FETCH_APPLY_INVITATION";
export const REJECT_INVITATION_SUCCESS = "REJECT_INVITATION_SUCCESS";
export const FETCH_REJECT_INVITATION = "FETCH_REJECT_INVITATION"

export const DELETE_FRIEND_SUCCESS = "DELETE_FRIEND_SUCCESS";
export const FETCH_DELETE_FRIEND = "FETCH_DELETE_FRIEND";
//=========================================== My friends Page

export const GET_ALL_MY_INVITATIONS_SUCCESS = "GET_ALL_MY_INVITATIONS_SUCCESS";
export const FETCH_GET_ALL_MY_INVITATIONS = "FETCH_GET_ALL_MY_INVITATIONS";

export const GET_ALL_MY_REQUESTS_SUCCESS = "GET_ALL_MY_REQUESTS_SUCCESS";
export const FETCH_GET_ALL_MY_REQUESTS_SUCCESS = "FETCH_GET_ALL_MY_REQUESTS_SUCCESS";

export const GET_ALL_MY_FRIENDS_SUCCESS = "GET_ALL_MY_FRIENDS_SUCCESS";
export const FETCH_GET_ALL_MY_FRIENDS = "FETCH_GET_ALL_MY_FRIENDS";

//========================================POSTS
export const GET_ALL_POSTS_REQUEST = "GET_ALL_POSTS_REQUEST"
export const GET_ALL_POSTS_REQUEST_SUCCESS = "GET_ALL_POSTS_REQUEST_SUCCESS"
export const GET_ALL_POSTS_REQUEST_FAILED = "GET_ALL_POSTS_REQUEST_FAILED"
export const FETCH_GET_ALL_POSTS = "FETCH_GET_ALL_POSTS"

export const GET_ALL_MY_FRIENDS_POSTS_REQUEST = "GET_ALL_MY_FRIENDS_POSTS_REQUEST"
export const GET_ALL_MY_FRIENDS_POSTS_REQUEST_SUCCESS = "GET_ALL_MY_FRIENDS_POSTS_REQUEST_SUCCESS"
export const GET_ALL_MY_FRIENDS_POSTS_REQUEST_FAILED = "GET_ALL_MY_FRIENDS_POSTS_REQUEST_FAILED"
export const FETCH_GET_ALL_MY_FRIENDS_POSTS = "FETCH_GET_ALL_MY_FRIENDS_POSTS"

export const GET_ALL_MY_POSTS_REQUEST = "GET_ALL_MY_POSTS_REQUEST"
export const GET_ALL_MY_POSTS_REQUEST_SUCCESS = "GET_ALL_MY_POSTS_REQUEST_SUCCESS"
export const GET_ALL_MY_POSTS_REQUEST_FAILED = "GET_ALL_MY_POSTS_REQUEST_FAILED"
export const FETCH_GET_ALL_MY_POSTS = "FETCH_GET_ALL_MY_POSTS"

export const REQUEST_ADD_POST = "REQUEST_ADD_POST";
export const REQUEST_ADD_POST_SUCCESS = "REQUEST_ADD_POST_SUCCESS";
export const REQUEST_ADD_POST_FAILED = "REQUEST_ADD_POST_FAILED";
export const FETCH_ADD_POST = "FETCH_ADD_POST";   

export const REQUEST_DELETE_POST = "REQUEST_DELETE_POST";
export const REQUEST_DELETE_POST_SUCCESS = "REQUEST_DELETE_POST_SUCCESS";
export const REQUEST_DELETE_POST_FAILED = "REQUEST_DELETE_POST_FAILED";
export const FETCH_DELETE_POST = "FETCH_DELETE_POST";

export const LIKE_POST_SUCCESS = "LIKE_POST_SUCCESS";
export const FETCH_LIKE_POST = "FETCH_LIKE_POST";

export const FETCH_CREATE_CHAT = "FETCH_CREATE_CHAT";
export const CREATE_CHAT_SUCCESS = "CREATE_CHAT_SUCCESS";
export const GET_CHAT_SUCCESS = "GET_CHAT_SUCCESS"
export const FETCH_GET_CHAT = "FETCH_GET_CHAT";
































// export const LOGOUT_USER = "LOGOUT_USER";
// export const GET_USER_LOAD = "GET_USER_LOAD"
// export const GET_USER = "GET_USER"
// export const GET_USER_ERROR = "GET_USER_ERROR"
